/*******************************************************************************
 * SkelControlBase generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class SkelControlBase extends AnimObject
    abstract
    native(Anim)
    hidecategories(Object,Object);

enum EBoneControlSpace
{
    BCS_WorldSpace,
    BCS_ActorSpace,
    BCS_ComponentSpace,
    BCS_ParentBoneSpace,
    BCS_BoneSpace,
    BCS_OtherBoneSpace,
    BCS_BaseMeshSpace,
    BCS_MAX
};

var(Controller) name ControlName;
var(Controller) float ControlStrength;
var(Controller) float BlendInTime;
var(Controller) float BlendOutTime;
var(Controller) Core.Object.AlphaBlendType BlendType;
var(Controller) bool bPostPhysicsController;
var(Controller) bool bSetStrengthFromAnimNode;
var transient bool bInitializedCachedNodeList;
var(Controller) bool bControlledByAnimMetada;
var(Controller) bool bInvertMetadataWeight;
var(Controller) bool bPropagateSetActive;
var(Performance) bool bIgnoreWhenNotRendered;
var bool bShouldTickInScript;
var bool bShouldTickOwner;
var() editconst deprecated bool bEnableEaseInOut;
var float StrengthTarget;
var transient float BlendTimeToGo;
var(Controller) array<name> StrengthAnimNodeNameList;
var transient array<AnimNode> CachedNodeList;
var const transient float AnimMetadataWeight;
var const transient int AnimMetaDataUpdateTag;
var(Controller) float BoneScale;
var transient int ControlTickTag;
var(Performance) int IgnoreAtOrAboveLOD;
var SkelControlBase NextControl;
var deprecated int ControlPosX;
var deprecated int ControlPosY;

// Export USkelControlBase::execSetSkelControlActive(FFrame&, void* const)
native final function SetSkelControlActive(bool bInActive);

// Export USkelControlBase::execSetSkelControlStrength(FFrame&, void* const)
native final function SetSkelControlStrength(float NewStrength, float InBlendTime);

event TickSkelControl(float DeltaTime, SkeletalMeshComponent SkelComp)
{
    //return;    
}

// Export USkelControlBase::execGetControlMetadataWeight(FFrame&, void* const)
native final function float GetControlMetadataWeight();

defaultproperties
{
    ControlStrength=1.0
    BlendInTime=0.20
    BlendOutTime=0.20
    StrengthTarget=1.0
    BoneScale=1.0
    IgnoreAtOrAboveLOD=1000
}